in code we trust
132 / 161 / 12
Регистрация: 29.02.2016
Сообщений: 880
1

apt get upgrade При обработке следующих пакетов произошли ошибки

15.01.2022, 00:02. Показов 263. Ответов 2

sudo apt-get upgrade
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install».
Пакеты, имеющие неудовлетворённые зависимости:
linux-image-rt-amd64-dbg : Зависит: linux-image-4.9.0-17-rt-amd64-dbg но он не установлен
N: Файл «nodesource.gpg.key» в каталоге «/etc/apt/sources.list.d/» игнорируется, так как он не имеет неправильное расширение
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt --fix-broken install», не указывая имени пакета, (или найдите другое решение).

Добавлено через 2 минуты
Пробовал и так:
sudo apt install -t stretch-backports linux-image-4.9.0-17-rt-amd64-dbg
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Следующий пакет устанавливался автоматически и больше не требуется:
linux-image-4.9.0-16-rt-amd64-dbg
Для его удаления используйте «sudo apt autoremove».
НОВЫЕ пакеты, которые будут установлены:
linux-image-4.9.0-17-rt-amd64-dbg
обновлено 0, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 193 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
Необходимо скачать 0 B/575 MB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 4 199 MB.
N: Файл «nodesource.gpg.key» в каталоге «/etc/apt/sources.list.d/» игнорируется, так как он не имеет неправильное расширение
(Чтение базы данных … на данный момент установлено 256963 файла и каталога.)
Подготовка к распаковке …/linux-image-4.9.0-17-rt-amd64-dbg_4.9.290-1_amd64.deb …
Распаковывается linux-image-4.9.0-17-rt-amd64-dbg (4.9.290-1) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/linux-image-4.9.0-17-rt-amd64-dbg_4.9.290-1_amd64.deb (--unpack):
попытка перезаписать «/usr/lib/debug/.build-id/0a/262810fc2f7b0d68de8e15bd55ac1353dfc0b1.debug», который уже имеется в пакете linux-image-4.9.0-16-rt-amd64-dbg 4.9.272-2
При обработке следующих пакетов произошли ошибки:
/var/cache/apt/archives/linux-image-4.9.0-17-rt-amd64-dbg_4.9.290-1_amd64.deb
N: Файл «nodesource.gpg.key» в каталоге «/etc/apt/sources.list.d/» игнорируется, так как он не имеет неправильное расширение
E: Sub-process /usr/bin/dpkg returned an error code (1

Добавлено через 3 минуты
Примерно то же самое почти с командами
sudo apt autoremove
apt-get -f install
apt --fix-broken install
Они не помогают решить проблему.
Где искать решение? Кто подскажет?

Добавлено через 1 час 43 минуты
Решено!
--
попробуйте удалить проблемный пакет с помощью dpkg:
sudo dpkg -r --force-depends linux-image-4.9.0-17-rt-amd64-dbg

а затем обновите список пакетов:

$ sudo apt-get update

и установите недостающие зависимости:

$ sudo apt-get -f install
0
Programming
Эксперт
94731 / 64177 / 26122
Регистрация: 12.04.2006
Сообщений: 116,782
15.01.2022, 00:02
Ответы с готовыми решениями:

При обработке следующих пакетов произошли ошибки
Пишит Ubuntu при установке новых программ. С чем это может быть связано и как это исправить? И...

При обработке следующих пакетов произошли ошибки: jdk
Пишу sudo apt-get install spotify-client выдает ошибку:...

Apt-get upgrade
Установила ОС буквально вчера, при попытке обновления выдает: E: Не удалось получить...

Ошибка с apt-get upgrade
При вводе команды apt-get upgrade выводит ошибку: You might want to run 'apt-get -f install' to...

2
184 / 86 / 33
Регистрация: 26.04.2021
Сообщений: 332
15.01.2022, 00:22 2
Попробуйте удалить пакет linux-image-4.9.0-16-rt-amd64-dbg и после этого установить linux-image-4.9.0-17-rt-amd64-dbg
0
in code we trust
132 / 161 / 12
Регистрация: 29.02.2016
Сообщений: 880
15.01.2022, 14:07  [ТС] 3
я сделал так sudo dpkg -r --force-depends linux-image-rt-amd64-dbg
(Чтение базы данных … на данный момент установлено 256962 файла и каталога.)
Удаляется linux-image-rt-amd64-dbg (4.9+80+deb9u15) …
-------------
дальше
$ sudo apt-get update
$ sudo apt-get -f install
$ sudo apt autoremove
...
...
Хотите продолжить? [Д/н] y
(Чтение базы данных … на данный момент установлено 256957 файлов и каталогов.)
Удаляется linux-image-4.9.0-16-rt-amd64-dbg (4.9.272-2) …
потом зачем-то на всякий случай сделал
$ sudo apt-get update
и после уже заработала команда
$ sudo apt-get upgrade
вопрос решён.
0
IT_Exp
Эксперт
87844 / 49110 / 22898
Регистрация: 17.06.2006
Сообщений: 92,604
15.01.2022, 14:07

Произошли ошибки при выполнении многошаговой операции OLE DB
Есть база данных MS SQL 2012 (EE). Есть таблица "Авторы" привожу скрипт таблицы: CREATE TABLE...

'Произошли ошибки во время выполнения многошаговой операции OLE DB" при попытке авторизоваться
Сделал авторизацию и регистрацию. Регистрация работает отлично, но при попытке авторизоваться...

Ошибка "произошли ошибки при выполнении многошаговой операции" при изменении PickList
Есть таблица dbgrid в ней поле "Статус" настроен PickList, но, когда меняю значение, пишет...

Проблемы с обновлением списка пакетов (apt-secure)
Есть проблемы о оновлением списка пакетов. Так при выполнении apt-get update, на консоль выводится...

При запуске скомпилированного проекта Visual Studio 2010 возникает ошибка: В ходе построения произошли ошибки
Последние 7 листингов из книги не работают. Не могут они все быть с ошибками. Скорее всего что-то...

Настроить apt на использование источника пакетов на usb вместо cdrom
Установил Debian 7 с флешки на нетбук Asus EE PC. Но при попытке установить любой пакет (тот же mc,...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
3
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin
Copyright ©2000 - 2022, CyberForum.ru